Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 855734 - dev-R/plogr: header files not found / in correct location
Summary: dev-R/plogr: header files not found / in correct location
Status: RESOLVED FIXED
Alias: None
Product: GURU
Classification: Unclassified
Component: Package issues (show other bugs)
Hardware: All Linux
: Normal critical
Assignee: GURU project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-02 11:13 UTC by Robert Greener
Modified: 2022-07-03 10:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Greener 2022-07-02 11:13:50 UTC
I'm trying to package dev-R/RSQLite which depends on plogr. I get the following error:

```
RSQLite.h:10:10: fatal error: plogr.h: No such file or directory
   10 | #include <plogr.h>
      |          ^~~~~~~~~
```

I see that dev-cpp/plog is packaged which dev-R/plogr depends on. I tried to edit the plogr ebuild so that it keeps just the plogr.h header and nothing else, by using this patch:

```
--- a/dev-R/plogr/plogr-0.2.0.ebuild
+++ b/dev-R/plogr/plogr-0.2.0.ebuild
@@ -19,6 +19,6 @@ DEPEND="${RDEPEND}"
 
 src_prepare() {
        #do not bundle plog
-       rm -rf inst/include || die
+       rm -rf inst/include/plog || die
        R-packages_src_prepare
 }
```

However, this gives the following error when trying to build RSQLite.

```
/usr/lib64/R/site-library/plogr/include/plogr.h: In function ‘void plog::init_r(plog::Severity)’:
/usr/lib64/R/site-library/plogr/include/plogr.h:23:8: error: ‘_PLOGR_ENABLE’ was not declared in this scope
   23 |   if (!_PLOGR_ENABLE) {
      |        ^~~~~~~~~~~~~
/usr/lib64/R/site-library/plogr/include/plogr.h:31:5: error: ‘init’ was not declared in this scope; did you mean ‘int’?
   31 |     init(maxSeverity, &appender);
      |     ^~~~
      |     int
/usr/lib64/R/site-library/plogr/include/plogr.h:34:5: error: ‘init’ was not declared in this scope; did you mean ‘int’?
   34 |     init(maxSeverity);
      |     ^~~~
      |     int
/usr/lib64/R/site-library/plogr/include/plogr.h: In function ‘void plog::init_r(const string&)’:
/usr/lib64/R/site-library/plogr/include/plogr.h:39:10: error: ‘getSeverityCode’ was not declared in this scope
   39 |   init_r(getSeverityCode(maxSeverity));
```

Perhaps none of the headers should be removed, as they are installed to /usr/lib64/R/site-library/plogr/include, rather than /usr/include so wouldn't conflict with dev-cpp/plog

Reproducible: Always
Comment 1 Alessandro Barbieri 2022-07-02 14:19:36 UTC
It was an attempt to unbundle plog. Feel free to remove the line that delete the bundled plog since now I have issues at booting gentoo
Comment 2 Robert Greener 2022-07-02 14:27:46 UTC
(In reply to Alessandro Barbieri from comment #1)
> It was an attempt to unbundle plog. Feel free to remove the line that delete
> the bundled plog since now I have issues at booting gentoo

Sure, I've removed it. This is in commit dd330ad99 in the dev branch. It'll need someone to merge it into master.
Comment 3 Larry the Git Cow gentoo-dev 2022-07-03 10:58:55 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=dd330ad99d55c4cbc08f2451e7ca48c6afa3538b

commit dd330ad99d55c4cbc08f2451e7ca48c6afa3538b
Author:     Robert Greener <me@r0bert.dev>
AuthorDate: 2022-07-02 14:26:14 +0000
Commit:     Robert Greener <me@r0bert.dev>
CommitDate: 2022-07-02 14:26:14 +0000

    dev-R/plogr: Use bundled plog
    
    Closes: https://bugs.gentoo.org/855734
    Signed-off-by: Robert Greener <me@r0bert.dev>

 dev-R/plogr/{plogr-0.2.0.ebuild => plogr-0.2.0-r1.ebuild} | 10 ----------
 1 file changed, 10 deletions(-)